%global gem_name linode

Summary: Ruby wrapper for the Linode API
Name: rubygem-%{gem_name}
Version: 0.8.1
Release: 1%{?dist}
Group: Development/Languages
License: MIT
URL: http://github.com/rick/linode
Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: ruby(rubygems)
Requires: rubygem(httparty) >= 0.4.4
Requires: rubygem(crack) >= 0.3.1
Requires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: rubygem(mocha)
BuildRequires: rubygem(rspec)
BuildRequires: rubygem(httparty) >= 0.4.4
BuildRequires: rubygem(crack) >= 0.3.1
BuildArch: noarch
Provides: rubygem(%{gem_name}) = %{version}

%description
This is a wrapper around Linode's automation facilities.

%package doc
Summary: Documentation for %{name}
Group: Documentation

Requires: %{name} = %{version}-%{release}

%description doc
This package contains documentation for %{name}.


%prep

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gem_dir}
%gem_install -n %{SOURCE0} -d %{buildroot}%{gem_dir}

rm -f %{buildroot}%{gem_instdir}/.gitignore
rm -f %{buildroot}%{gem_instdir}/linode.gemspec

%clean
rm -rf %{buildroot}

%check
pushd %{buildroot}%{gem_instdir}
rspec spec
popd

%files
%defattr(-, root, root, -)
%dir %{gem_instdir}
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/CHANGELOG
%doc %{gem_instdir}/MIT-LICENSE
%doc %{gem_instdir}/VERSION
%exclude %{gem_instdir}/.rspec
%{gem_libdir}
%{gem_cache}
%{gem_spec}

%files doc
%defattr(-, root, root, -)
%{gem_instdir}/autotest
%{gem_instdir}/Gemfile
%exclude %{gem_instdir}/Gemfile.lock
%{gem_instdir}/Rakefile
%{gem_instdir}/spec
%{gem_docdir}



%changelog
* Fri Oct 10 2014 Michael Stahnke <stahnma@fedoraproject.org> - 0.8.1-1
- Update to 0.8.1 per Bug 828268

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.7-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Mar 15 2013 Bohuslav Kabrda <bkabrda@redhat.com> - 0.7.7-4
- Rebuild for https://fedoraproject.org/wiki/Features/Ruby_2.0.0

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Mar 07 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 0.7.7-1
- Rebuilt for Ruby 1.9.3
- Updated to version 0.7.7

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Sep 25 2010 Michael Stahnke <stahnma@fedoraproject.org> - 0.6.2-1
- Initial package
